Java – security level sous Linux (et win*)

Pour baisser par défaut le niveau de sécurité à MEDIUM par défaut dans le plugin java-7-oracle sous Linux, il faut : – Créer un fichier deployment.properties dans /etc/.java/deployment/ mkdir /etc/.java/deployment/ cd /etc/.java/deployment/ touch deployment.properties – Éditer ce fichier avec votre éditeur favori et y inscrire : deployment.security.level=MEDIUM Pour Win* c’est pareil mais il faut mettre […]

Opsi Package : Vérification de l’installation de Java

Pour vérifier que la bonne version de Java est installée… J’ai mis ça dans le paquet (Winst) En fait, on lance un « java -version » dans une section DosInAnIcon et on récupère la sortie pour la filtrer … DefStringList $Check$ DefVar $LineCheck$ Set $Check$=getOutStreamFromSection(‘DosInAnIcon_CheckInstall’) set $LineCheck$ = composeString ($Check$,  » « ) if not(contains($LineCheck$, »1.7.0_51 »)) logError « Fatal: Java […]